Bug 241780 - devel/py-mock: update to 3.0.5
Summary: devel/py-mock: update to 3.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL: https://reviews.freebsd.org/D21654
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-07 10:25 UTC by Ben Woods
Modified: 2020-01-13 03:03 UTC (History)
2 users (show)

See Also:
woodsb02: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2019-11-07 10:25:07 UTC
Requesting maintainer approval to update devel/py-mock to 3.0.5, as per the patch available here:
https://reviews.freebsd.org/D21654

Jesse - can I please politely ask if you would like me to also reset the maintainership of this port to assign it back to the pool? I ask because I noticed you haven't made any changes to this port since 2012, and the last 3 updates (to 2.0.0, to 1.3.0, to 1.0.1) had a maintainer timeout.

Version 3.0.5 includes multiple bugfixes and such for the backport library
that will aid in writing tests where the environment doesn't contain
unittest.mock.
Comment 1 commit-hook freebsd_committer 2019-11-14 17:12:25 UTC
A commit references this bug:

Author: ngie
Date: Thu Nov 14 17:11:59 UTC 2019
New revision: 517602
URL: https://svnweb.freebsd.org/changeset/ports/517602

Log:
  Upgrade devel/py-mock from 2.0.0 to 3.0.5 and fix "make test" target

  Version 3.0.5 includes multiple bugfixes and such for the backport library
  that will aid in writing tests where the environment doesn't contain
  `unittest.mock`.

  In order to ensure that the code actually works, I needed to run the tests.
  This required working around https://github.com/testing-cabal/mock/issues/469
  by pulling the sources from the GitHub project that correspond with the
  release tag, as the source tarball tagged for the release doesn't contain the
  tests (prior to this change it would run 0 tests with `make test`, because
  there weren't any).

  Remove an unnecessary build dependency while here: pbr is no longer needed to
  build the package.

  Add py-pytest to TEST_DEPENDS, as running the tests as currently done via
  distutils doesn't work due to how the tests are enumerated.

  Conversely, remove the devel/py-tox dependency: it was never installed before
  due to a typo in the variable name and it adds a lot of unnecessary
  dependencies that aren't required when testing the port with `make test`. This
  helps keep the footprint down, which helps others upgrade the devel/py-mock
  port by itself.

  Address portlint issues while here.

  The changelog for the project can be found here on [GitHub](https://github.com/testing-cabal/mock/blob/master/CHANGELOG.rst).

  PR:		241780
  Approved by:	jessekempf@gmail.com (maintainer timeout), woodsdb (ports)
  Discussed with:	bdrewery, Vladimir.Chukharev@gmail.com
  Differential Revision:	https://reviews.freebsd.org/D21654

Changes:
  head/devel/py-mock/Makefile
  head/devel/py-mock/distinfo
Comment 2 Ben Woods freebsd_committer 2019-11-14 22:23:09 UTC
Committed - thanks ngie!
Comment 3 commit-hook freebsd_committer 2019-11-14 23:22:51 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Nov 14 23:22:13 UTC 2019
New revision: 517624
URL: https://svnweb.freebsd.org/changeset/ports/517624

Log:
  devel/py-mock: Return to pool, after 3 consecutive maintainer timeouts

  PR:		241780
  Approved by:	portmgr blanket

Changes:
  head/devel/py-mock/Makefile
Comment 4 commit-hook freebsd_committer 2019-11-19 00:38:19 UTC
A commit references this bug:

Author: koobs
Date: Tue Nov 19 00:37:29 UTC 2019
New revision: 517932
URL: https://svnweb.freebsd.org/changeset/ports/517932

Log:
  devel/py-mock: Take MAINTAINER'ship, level up ports compliance

    * Use upstream (setup.cfg) summary as COMMENT
    * Fix dependencies (six is not a build time dependency)
    * Use GitHub (tests not packaged in PyPI sdist)
    * Standardize pytest invocation (show skip reasons, one line per test)
    * Use upstream (setup.cfg) description as pkg-descr
    * Use upstream (setup.cfg) home-page as pkg-descr WWW URL

  PR:		241780
  Approved by:	portmgr (unmaintained port. blanket(s): ports compliance, bugfix(es))
  MFH:		No (3.x might be API incompatible for consumers, unclear)

Changes:
  head/devel/py-mock/Makefile
  head/devel/py-mock/pkg-descr
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-13 03:03:39 UTC
^Triage: Assign to committer that resolved